# Sample: Employee Posts API

Review Coresignal's Employee Posts Data sample below, or [contact sales](https://coresignal.com/contact-us/?utm_source=web\&utm_medium=public-docs\&utm_campaign=data-consultation) for more information.

{% hint style="info" %}
All personal/company information mentioned within this context is entirely fictional and is solely intended for illustrative purposes.
{% endhint %}

{% code title="Data sample" %}

```json
{
  "author_name": "John Doe",
  "author_profile_url": "https://professional-network.com/in/john-doe",
  "author_headline": "Data Analyst @Company Example | Data is my passion",
  "author_posts_count": 100,
  "id": "1234567890123456",
  "employee_parent_id": "111222333444555",
  "url": "https://www.professional-network.com/posts/johndoe_example-post-123456",
  "date_published": "2025-07-01",
  "article_body": "Data is only as valuable as the insights you can draw from it, and the right structure makes all the difference. With Jane Doe, we're building tools that turn raw data into clear, actionable stories.",
  "image_url": "https://example.com/image/link123456789",
  "hashtags": [
      "#Data",
      "#Inspiring"
    ],
  "mentions": [
    {
      "full_name": "Jane Doe",
      "url": "https://professional-network.com/in/jane-doe"
    }
  ],
  "reaction_count": 10,
  "comment_count": 2,
  "comments": [
    {
      "full_name": "John Smith",
      "headline": "Talent Intelligence@ Example corp | Meta Alumni",
      "profile_url": "https://www.professional-network.com/in/john-smith",
      "body": "Great opportunity",
      "reaction_count": 1,
      "date_published": "2025-07-01"
    },
    {
      "full_name": "Jane Smith",
      "headline": "Looking for a job in QA | Functional Testing ",
      "profile_url": "https://professional-network.com/in/jane-smith",
      "body": "I'd be interested to join your team",
      "reaction_count": 0,
      "date_published": "2025-07-02"
    }
  ],
  "reshared_post": 
    {
      "id": "12345677899",
      "employee_parent_id": "11122233344400",
      "url": "https://www.professional-network.com/feed/urn:12345677899",
      "author_name": "Post author",
      "author_profile_url": "https://professional-network.com/post-author",
      "author_headline": "1,000 followers",
      "article_body": "Interesting post about AI usage in your workplace",
      "image_url": "https://example.com/image/link12345677899",
      "hashtags": [
            "#AI"
      ],
      "date_published": "2w"
    }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.coresignal.com/employee-api/employee-posts-api/sample-employee-posts-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
